package nl.fizzit.maven.plugins.tstamp;

import java.util.Calendar;

public enum Unit {
		MILLISECOND("millisecond", Calendar.MILLISECOND),
	    SECOND("second", Calendar.SECOND),
	    MINUTE("minute", Calendar.MINUTE),
	    HOUR("hour", Calendar.HOUR),
	    DAY("day", Calendar.DATE),
	    WEEK("week", Calendar.WEEK_OF_YEAR),
	    MONTH("month", Calendar.MONTH),
	    YEAR("year", Calendar.YEAR);
	    
	    String value;
		int fieldNumber;
	    
		Unit(String value, int fieldNumber) {
			this.value = value;
			this.fieldNumber = fieldNumber;
		}

		@Override
		public String toString() {
			return value;
		}
		
		public static Unit fromString(String value) {
			for (Unit unit: Unit.values()) {
				if (unit.value.equals(value)) {
					return unit;
				}
			}
			return null;
		}
		
}
